function [SF, S, Edgs, edge_petal, shape] = shrink_organ(SF, S, Edgs, edge_petal, shape)
trans = mean(shape);
s_bar_norm = sum([SF.s_max] + [SF.s_min])/(2*length(SF.s_max));

S = shrink_springs(S, s_bar_norm, trans);
Edgs = shrink_springs(Edgs, s_bar_norm, trans);
shape = shrink_pts(shape, s_bar_norm, trans);
SF.s_max = SF.s_max*s_bar_norm;
SF.s_min = SF.s_min*s_bar_norm;

return;